Documentation menu
GET/v1/customers/{applicationAccountIdentifier}/entitlements

Read application account entitlements

Returns the aggregate entitlements linked to an application account. This endpoint requires an application API credential with entitlements:read.

Parameters

applicationAccountIdentifierpathRequired

A stable customer identifier from the developer's application.

Responses

200The application account and its current entitlements.
applicationAccountIdentifierRequired
string
customerIdentifiersRequired
string · uuid[]
applicationIdentifierRequired
string · uuid
entitlementsRequired
CustomerEntitlement[]
400The request body, parameter, or verified store payload is invalid.
errorRequired
string

A stable machine-readable error code.

401The application API credential is missing or invalid.
errorRequired
string

A stable machine-readable error code.

403The application API credential does not include the required scope.
errorRequired
string

A stable machine-readable error code.

Request example

cURL
curl 'https://api.purpl.sh/v1/customers/user-123/entitlements' \
  --header 'Authorization: Bearer <application-api-credential>'